server {
  listen 80;

  # The root directory for your files inside the container
  root   /usr/share/nginx/html;
  index  index.html;

  # This is important: it ensures that if you refresh a page on a
  # specific route, it doesn't give a 404 error. It will always
  # serve the index.html file, allowing your frontend routing to work.
  location / {
    try_files $uri $uri/ /index.html;
  }
}